﻿using UnityEngine;
using System.Collections;

public class ExplosionScript : MonoBehaviour 
{
	public float force = 5f;
	public float upwardForce = 2f;
	public float radius = 5f;

	public LayerMask shootMask;
	public LayerMask explodeMask;

	void Update()
	{
		if(Input.GetButtonDown ("Fire1"))
		{
			Ray ray = Camera.main.ScreenPointToRay (Input.mousePosition);
			RaycastHit hit;
			
			if(Physics.Raycast(ray, out hit, shootMask))
			{
				Collider[] colliders = Physics.OverlapSphere(hit.point, radius, explodeMask);
				foreach(Collider col in colliders)
				{
					col.rigidbody.AddExplosionForce(force, hit.point, radius, upwardForce, ForceMode.Impulse);
				}
			}
		}
	}
}
